org.icefaces.ace.model.chart

## Class SectorSeries

- java.lang.Object
- - org.icefaces.ace.model.chart.ChartSeries
  - - org.icefaces.ace.model.chart.SectorSeries

- All Implemented Interfaces:
    java.io.Serializable

      public class SectorSeries
      extends ChartSeries

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SectorSeries.SectorType`

    - ### Nested classes/interfaces inherited from class org.icefaces.ace.model.chart.ChartSeries

      `ChartSeries.ChartType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SectorSeries()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.String key, java.lang.Object val)`
    `void` | `encodeRendererOptions(JSONBuilder cfg)`
    `JSONBuilder` | `getConfigJSON(javax.faces.component.UIComponent component)`
    `JSONBuilder` | `getDataJSON(javax.faces.component.UIComponent chart)`
    `java.lang.String` | `getDataLabels()` Get the slice labels of this series.
    `ChartSeries.ChartType` | `getDefaultType()`
    `java.lang.Boolean` | `getShowDataLabels()` Get whether or not labels are rendered over each slice of the pie.
    `java.lang.Integer` | `getSliceMargin()` Set gap size between each slice.
    `void` | `setDataLabels(java.lang.String dataLabels)` Set the slice labels of this series
    `void` | `setShowDataLabels(java.lang.Boolean showDataLabels)` Set whether or not labels are rendered over each slice of the pie.
    `void` | `setSliceMargin(java.lang.Integer sliceMargin)` Get gap size between each slice.

    - ### Methods inherited from class org.icefaces.ace.model.chart.ChartSeries

      `clear, getColor, getData, getFill, getFillAlpha, getFillToZero, getLabel, getLineCap, getLineJoin, getLineWidth, getSeriesColors, getShadow, getShadowAlpha, getShadowAngle, getShadowDepth, getShadowOffset, getShow, getShowMarker, getType, getUseNegativeColors, getXAxis, getYAxis, setColor, setData, setFill, setFillAlpha, setFillToZero, setInCfgObject, setInCfgObject, setInCfgObject, setInCfgObject, setLabel, setLineCap, setLineJoin, setLineWidth, setSeriesColors, setShadow, setShadowAlpha, setShadowAngle, setShadowDepth, setShadowOffset, setShow, setShowMarker, setType, setUseNegativeColors, setXAxis, setYAxis`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SectorSeries

          public SectorSeries()

  - ### Method Detail

    - #### getDefaultType

          public ChartSeries.ChartType getDefaultType()

      Specified by:
        `getDefaultType` in class `ChartSeries`

    - #### add

          public void add(java.lang.String key,
                          java.lang.Object val)

    - #### getDataJSON

          public JSONBuilder getDataJSON(javax.faces.component.UIComponent chart)

      Overrides:
        `getDataJSON` in class `ChartSeries`

    - #### encodeRendererOptions

          public void encodeRendererOptions(JSONBuilder cfg)

      Specified by:
        `encodeRendererOptions` in class `ChartSeries`

    - #### getConfigJSON

          public JSONBuilder getConfigJSON(javax.faces.component.UIComponent component)

      Overrides:
        `getConfigJSON` in class `ChartSeries`

    - #### getDataLabels

          public java.lang.String getDataLabels()

      Get the slice labels of this series.
      Returns:
        "percent", "value" or a comma separated array of labels.

    - #### setDataLabels

          public void setDataLabels(java.lang.String dataLabels)

      Set the slice labels of this series
      Parameters:
        `dataLabels` - "percent", "value" or a comma separated array of labels

    - #### getShowDataLabels

          public java.lang.Boolean getShowDataLabels()

      Get whether or not labels are rendered over each slice of the pie.
      Returns:
        slice label visibility

    - #### setShowDataLabels

          public void setShowDataLabels(java.lang.Boolean showDataLabels)

      Set whether or not labels are rendered over each slice of the pie.
      Parameters:
        `showDataLabels` - slice label visibility

    - #### getSliceMargin

          public java.lang.Integer getSliceMargin()

      Set gap size between each slice.
      Returns:
        size in degrees

    - #### setSliceMargin

          public void setSliceMargin(java.lang.Integer sliceMargin)

      Get gap size between each slice.
      Parameters:
        `sliceMargin` - size in degress

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.